Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.loading
Interface DeferredResource

All Known Implementing Classes:
  DeferredSound, DeferredTexture

    public interface DeferredResource

A description of any class providing a resource handle that be loaded at a later date (i.e. deferrred)

Author:
  kevin

Method Summary
`java.lang.String` | `getDescription()` Get a description of the resource to be loaded
`void` | `load()` Load the actual resource

Method Detail

### load

    void load()
              throws java.io.IOException

  Load the actual resource

  Throws:
    `java.io.IOException` - Indicates a failure to load the resource

### getDescription

    java.lang.String getDescription()

  Get a description of the resource to be loaded

  Returns:
    The description of the resource to be loaded

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.